Subject: bug#7282: closed (Re: bug#7282: 23.2; [PATCH] Improve text composition by Input Methods on MacOSX.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 27 Dec 2017 00:16:02 +0000

Your bug report

#7282: 23.2; [PATCH] Improve text composition by Input Methods on MacOSX.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7282: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7282
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7282: 23.2; [PATCH] Improve text composition by Input Methods on MacOSX.
From: Alan Third <[email-masked]>
To: Keitaro Miyazaki <[email-masked]>
Cc: [email-masked]
Date: Wed, 27 Dec 2017 00:14:58 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Alan Third <[email-masked]> writes:

> Keitaro Miyazaki <[email-masked]> writes:
> Can anyone confirm whether this is still an issue?
>
> The patch no longer cleanly applies, but it looks like it might be
> easily fixable.

Looking at this again I just realised this was a bug for the Mac port.

Since it's no longer relevant to GNU Emacs, and nobody's responded in
over a year, I'm going to close it.
-- 
Alan Third

Subject: 23.2; [PATCH] Improve text composition by Input Methods on MacOSX.
From: Keitaro Miyazaki <[email-masked]>
To: [email-masked]
Date: Tue, 26 Oct 2010 21:20:13 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

It is quite difficult to compose "input text" of language
such as Japanese by Input Methods like "Kotoeri" on MacOSX,
because emacs does not show clause boundary of the "input text".

I made an attached patch which improves text composition
by making a highlight on active clause of the "input text".

See also attached screen shots which shows effect of this patch:

  before.png: Before applying this patch,
              no clause boundary is shown.

  after.png:  After applying this patch,
              clause boundaries are indicated by
              a highlight on active clause.

In GNU Emacs 23.2.1 (x86_64-apple-darwin10.4.0, NS apple-appkit-1038.32)
 of 2010-10-26 on mac
Windowing system distributor `Apple', version 10.3.1038
configured using `configure  '--with-ns''